<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Introduction</title>

	<!-- internal CSS

		we can apply multiple elements with the same tag or multiole elrements as we selected

		This style internal css can only affect the elements where the internal css added

	 -->
	 <!-- external css is the best waypractice of implementinng styling -->
	<link rel="stylesheet" type="text/css" href="./style.css">

<!-- 
	<style type="text/css">

		h1 {
			color: pink !important;
			background-color: gray;
		}

	</style>

 -->
</head>
<body>

	<!-- 
		the style attriibbute changes the styling properties of an element. this implementation of style is what we call inline styling

		the value of style attr are the properties of the element.
		the values before the colon (:) are the elements propertiees.


		<tag style="property:value;">text</tag>

		inline syling can become bulky, can become erratic

		inline style given more priorityover internnal style

		inline > internal > external(best practice)

	<h1 style="color: red; font-size: 100px; text-align: center;">Hello World!</h1>
	 -->
	 <!-- nav bar -->
	 <nav id="top">
	 	<a href="#landing">Zuitt</a>
	 	<div>
	 		<a href="#landing">Landing</a>
	 		<a href="#register">Register</a>
	 	</div>
	 </nav>
	 <!-- end of navbar -->

	 <!-- main content -->
	 <h1>Hello World</h1>
	 <section id="landing">
	 	<h2>Welcome to Zuitt</h2>
	 	<h3 id="zuitt-motto">Opportunities for Everyone, Everywhere!</h3>
	 	<img src="https://place-puppy.com/450x450">
	 	<ol id="bootcamp-learning-list">
	 		<!-- class can be used to add styling to elements with the same class. unlike id, it can implement to multiple elements -->

	 		<li class="offering-item">Day Classes</li>
	 		<li class="offering-item">Night Classes</li>
	 		<li class="offering-item">Intro to Coding Events</li>
	 	</ol>

	 	<!-- when assigning ja elem id as an href for anchor tag we can navigate to the part of the page -->
	 	<a href="#top">Back to Top</a>
	 	
	 </section>
	 <section id="register">
	 	<h2>Register</h2>
	 	<form>
	 		<label for="first-name">First Name:</label>
	 		<input type="text" name="first-name" id="first-name" required autocomplete="">

	 		<label for="last-name">Last Name:</label>
	 		<input type="text" name="last-name" id="first-name" required autocomplete>

	 		<label for="email">Email:</label>
	 		<input type="email" name="email" id="email" required autocomplete>

	 		<!-- <label for="password">Password:</label>
	 		<input type="password" name="password" id="password" autocomplete> -->

	 		<button type="submit">Apply Now!</button>
	 	</form>

	 	<a href="#top">Back to Top</a>
	 </section>

	 


	
</body>
</html>